/**
 * @file
 * Funnelback functionality.
 */

/* eslint-disable prettier/prettier */

(($) => {
  Drupal.behaviors.funnelbackFacetBehavior = {
    attach: (context, _settings) => {
      $('.facet input[type=checkbox], .facet input[type=radio]', context).on('click', (e) => {
        // Go to the URL in the link after this.
        window.location.href = $(e.currentTarget).attr('redirect');
      });
    },
  };
})(jQuery);
